%define name		cos-multipart
%define version		0.05Nov2002
%define release		1jpp
%define section		non-free
%define source_top	%{name}-%{version}

Summary:	Servlet support classes
URL:		http://www.servlets.com/cos/

Source0:	cos-05Nov2002.zip
NoSource:	0

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Conditioned License
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
BuildRequires:	jpackage-utils >= 0:1.5.32
BuildRoot:	%{_tmppath}/%{name}-%{prod_version}.cvs%{cvs_version}-%{release}-buildroot

%description
The com.oreilly.servlet package is the "must 
have" class library for servlet developers. 
There are classes to help servlets parse 
parameters, handle file uploads, generate 
multipart responses (server push), negotiate 
locales for internationalization, return files, 
manage socket connections, and act as RMI 
servers, as well as a class to help applets 
communicate with servlets. Since the first 
edition, there are also new classes to help 
servlets send email messages, cache responses, 
and auto-detect servlet API support.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -T -c -n %{name}-%{version}
unzip -q %{SOURCE0}

%build

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 \
               lib/cos.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
install -p -m 0644 upload.war \
               $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
install -p -m 0644 license.txt \
               $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(-,root,root,-)
%doc %{_datadir}/%{name}-%{version}/license.txt
%{_datadir}/%{name}-%{version}/upload.war
%{_javadir}

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%doc %ghost %{_javadocdir}/%{name}

%changelog
* Fri Feb 27 2004 Ralph Apel <r.apel@r-apel.de> 0:0.05Nov2002-1jpp
- first JPackage release
